## jupp 3.1.21

=== debian/changelog ===
jupp (3.1.21-1) unstable; urgency=medium

  * New upstream release “with omalloc, this would not have happened”
    - critical bugfixes wrt. uninitialised memory and buffer underflow
      (reported crash on wheezy/i386 by a user)
    - uses automake version fixing CVE-2012-3386
  * Small improvements to package description and d/rules comments

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 18 Jul 2012 17:37:12 +0000

jupp (3.1.20-1) unstable; urgency=medium

  * New upstream release “nik”
    - fixes including unbreak hex edit mode with -guesscrlf
    - enable Large File Support
  * Drop explicit versioned dpkg-dev B-D, use what we get

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 08 Jun 2012 20:42:09 +0000

jupp (3.1.19-2) unstable; urgency=low

  * Apply upstream fix for stupid mistakes in ctime() for klibc

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 08 Jun 2012 02:10:38 +0000

jupp (3.1.19-1) unstable; urgency=low

  * New upstream release “Eike”
    - improved support for dietlibc, klibc, hurd
  * Update watch file for new file extension of distfiles (.tgz)
  * Use cross-gcc automatically when compiler not set
  * Support diet and klibc in DEB_BUILD_OPTIONS to switch C libraries
    (default to static linkage; allow overriding via CC) and debug to
    re-enable compiling with -g3 (diet/klibc normally disable -g)
  * Support static in DEB_BUILD_OPTIONS to link statically with eglibc
  * Support nopwnam in DEB_BUILD_OPTIONS for all three, omits code
    that may not work well when linking statically or for rescue systems
  * Note: dietlibc/klibc imply no SSP/PIE; static means no PIE hardening

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 08 Jun 2012 00:11:36 +0000

jupp (3.1.18-3) unstable; urgency=low

  * Adjust joe-jupp Priority from optional to extra (debcheck)
  * debian/rules: Clean up and modernise; enable +all hardening,
    --as-needed, and some gmake magic to properly escape variables
  * Quieten lintian
  * Policy 3.9.3 (no relevant changes)
  * debian/control: Use architecture wildcards for SELinux

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Mar 2012 17:40:11 +0000

jupp (3.1.18-2) unstable; urgency=low

  * Also drop an old editorrc alternative if this package has never
    been configured before (Closes: #644481)
  * Only link /etc/jupp/editorrc on upgrade from old version or on
    a fresh install, as suggested by Josip Rodin
  * Update version numbers for the joe/jupp conflicts

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Oct 2011 08:58:39 +0000

jupp (3.1.18-1) unstable; urgency=low

  * New upstream release “waga”
  * dh_prep needs debhelper 7.0.0
  * Improve coexistence of joe and jupp: move the editorrc symlink
    to /var/lib/misc/editorrc and make it an update-alternatives
    slave to editor (agreed by Raphaël Hertzog, Josip Rodin)
    ⇒ Fixes piuparts for jupp
  * Formalise maintainer scripts and sync with Policy and triggers
  * Drop dh_installdirs call, it’s only for making empty directories
  * Use dpkg/buildflags.mk, but make that an optional build dependency
  * Convert to use libtinfo, keep libncurses-dev an alternative though

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 05 Oct 2011 21:15:18 +0000

jupp (3.1.17-4) unstable; urgency=low

  * Work also when joe is not installed (Really Closes: #636147)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Aug 2011 20:08:11 +0000

jupp (3.1.17-3) unstable; urgency=low

  * Do not take over the location of the editorrc alternative,
    symlink to it instead and collaborate with joe managing it
    (Closes: #636147)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Aug 2011 15:54:28 +0000

jupp (3.1.17-2) unstable; urgency=low

  [ Mike O'Connor ]
  * Reproduce strlfun.c copyright notice and licence in d/copyright
  * Add non-virtual alternative for libncurses-dev build dependency

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 28 Jul 2011 00:08:14 +0000

jupp (3.1.17-1) unstable; urgency=low

  * Do not call "update-alternatives --remove" on upgrade (cf. #568299)
  * New upstream version
  * Keep original source unpacked, not a cpio-in-tarball format
  * Upload to Debian on independent requests from several users

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Jul 2011 20:08:05 +0000

jupp (3.1.15-0wtf1) wtf; urgency=low

  * jupp can do Multi-Arch: foreign as requested by vorlon
  * Add Origin and Bugs headers
  * Allow mircpio or pax or (GNU) cpio as build dependency
  * Bump Policy to 3.9.2
    - GPLv1 is installed in the filesystem already
  * Update comments
  * Drop use of libbsd (jupp is self-contained, libbsd is not
    compatible across all versions we encounter)
  * Rename build directory to builddir to not use a PHONY name
  * Disable warning flags in build by default, revisit later
  * Re-enable accidentally disabled curses dependency
  * Add build-arch build-indep and change binary-arch binary-indep
    targets in d/rules to always run the common path because we
    currently cannot build them separately
  * Install NEWS as upstream changelog
  * Remove redundant files from joe-jupp by symlinking to jupp
  * Use autotools-dev for up-to-date config.{guess,sub}

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 03 Jul 2011 01:56:45 +0000

jupp (3.1.14-0wtf1) unstable; urgency=low

  * New upstream version; ChangeLog:
    - Update diff syntax file from joe-current
    - New option (L)ast in search-and-replace
    - Backport some bugfixes from joe-current
    - Let execmd cmd accept macros, not just commands
    - Let macros cmd escape backslash correctly
    - Flag --disable-getpwnam to link statically with eglibc
    - Compiler warning cleanup
  * Bump Standards-Version, no relevant change
  * debian/source/format: Enforce "1.0" manually, for now
  * debian/control: Remove DMUA, I'm a DD now
  * debian/control: Add ${misc:Depends} to joe-jupp (lintian)
  * Simplify backport instructions; the sid package builds on lenny

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 08 Apr 2010 21:09:53 +0000

jupp (3.1.12-0wtf1) unstable; urgency=low


