## jupp 3.1.24

=== debian/changelog ===
jupp (3.1.24-1) unstable; urgency=medium

  * New upstream release “MirMinze”

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jan 2013 22:31:19 +0000

jupp (3.1.23-1) unstable; urgency=low

  * New upstream release “halmaturus” (Closes: #691255)
  * Policy 3.9.4.0 (no changes required since static linkage is
    disabled by default for Debian builds)
  * Cease installing developer-only documentation files

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 30 Dec 2012 22:36:11 +0000

jupp (3.1.22-1) unstable; urgency=low

  * New upstream release “BSD: rather slow than incorrect”

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Sep 2012 19:39:38 +0000
