=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: contrib/hosted/tg/deb/jupp/debian/control,v 1.30 2012/07/18 17:39:01 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/jupp/debian/control,v 1.32 2012/12/30 22:39:41 tg Exp $
 #
 Source: jupp
 Section: editors
@@ -7,12 +7,12 @@
 Homepage: https://www.mirbsd.org/jupp.htm
 # Just drop B-D on autotools-dev or libselinux1-dev if needed,
 # as they are optional and autodetected.
-Build-Depends: debhelper (>= 7.0.0~),
+Build-Depends: debhelper (>= 5),
   autotools-dev,
 # libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
   libselinux1-dev [linux-any],
   libtinfo-dev | libncurses-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 # First word is the $CVSROOT (-d arg) string, second word the module.
 Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/jupp
 Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/jupp/
@@ -37,7 +37,9 @@
  named buffers.  It has command history, TAB expansion in file selection
  menus, undo and redo functions, (un)indenting and paragraph formatting,
  filtering highlighted blocks through any external Unix command, editing
- a pipe into or out of a command, and block move, copy, delete or filter.
+ a pipe into or out of a command, block move, copy, delete or filter, a
+ bracketed paste mode automatically enabled on xterm-xfree86 and decimal
+ and hexadecimal gotos for lines, columns, and file offsets.
  .
  Through simple QEdit-style configuration files, Joe can be set up to
  emulate editors such as Pico and Emacs, along with a complete imitation
@@ -65,4 +67,5 @@
  using the jupp package and implementation (both binaries and manpages).
  It also contains the appropriate conffiles and, in contrast to Debian's
  joe flavour, supports SELinux context copying (on Debian systems with
- the Linux kernel), and has many bugs fixed.
+ the Linux kernel), and has many bugs fixed and makes some of jupps new
+ features available to the joe, jstar, jmacs, jpico and rjoe flavours.
