## jupp 3.1.26

=== debian/changelog ===
jupp (3.1.26-1) unstable; urgency=low

  * New upstream release “OpenRheinRuhr”
  * Policy 3.9.5.0 (no changes required)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Nov 2013 23:09:42 +0000

jupp (3.1.25-1) unstable; urgency=high

  * New upstream release “FrogLabs / FrOSCon”
  * Fixes data corruption bug on pipe command (LP#1198221)
  * Fix segfault on terminal resize (found by Eike Jesinghaus
    and Dominik George, thanks!)
  * Improve handling of the xterm bracketed paste mode
  * Sanitise tempfile handling somewhat more

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 19 Aug 2013 23:30:35 +0000
