=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: contrib/hosted/tg/deb/jupp/debian/control,v 1.32 2012/12/30 22:39:41 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/jupp/debian/control,v 1.34 2013/11/07 23:10:17 tg Exp $
 #
 Source: jupp
 Section: editors
@@ -12,7 +12,7 @@
 # libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
   libselinux1-dev [linux-any],
   libtinfo-dev | libncurses-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 # First word is the $CVSROOT (-d arg) string, second word the module.
 Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/jupp
 Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/jupp/
@@ -58,7 +58,7 @@
 Package: joe-jupp
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, jupp (>= 3.1.18-2~)
+Depends: ${misc:Depends}, jupp (>= 3.1.25)
 Conflicts: joe
 Provides: joe
 Replaces: joe
