=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# $MirOS: contrib/hosted/tg/deb/jupp/debian/rules,v 1.23 2012/07/18 17:39:01 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/jupp/debian/rules,v 1.25 2012/12/30 22:39:41 tg Exp $
 #-
 # Possible flavourisation (in addition to stock Debian rules):
 # export DEB_BUILD_OPTIONS=diet
@@ -13,6 +13,10 @@
 # Setting diet or klibc disables -O0/-O2 and -g and, if unset,
 # sets CC. Adding debug enables -g3. Cross-compiling also sets
 # CC if unset.
+#
+# Statically linking violates the Policy requirement of having a
+# Built-Using header, but since that is only used in local rebuilds
+# and not in the Debian archive, it constitutes no Policy violation.
 
 shellescape='$(subst ','\'',$(1))'
 shellexport=$(1)=$(call shellescape,${$(1)})
@@ -162,7 +166,7 @@
 binary-indep: build-indep
 	dh_testdir
 	dh_testroot
-	dh_prep -i
+	if test -x "$$(which dh_prep)"; then dh_prep -i; else dh_clean -i -k; fi
 	dh_installchangelogs -i -Njupp
 	dh_install -i
 	dh_installmenu -i
@@ -179,7 +183,7 @@
 binary-arch: build-arch
 	dh_testdir
 	dh_testroot
-	dh_prep -a
+	if test -x "$$(which dh_prep)"; then dh_prep -a; else dh_clean -a -k; fi
 	dh_installchangelogs -pjupp -k NEWS
 	dh_installdocs -a
 	dh_install -a
