=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/jupp/debian/watch,v 1.3 2012/06/07 23:00:34 tg Exp $

version=3
opts="uversionmangle=s/^([0-9]+)\.([0-9]+)jupp([0-9]+)$/$1.$2.$3/" \
http://www.mirbsd.org/MirOS/dist/jupp/ joe-(.*)\.tgz
