## jupp 3.1.27

=== debian/changelog ===
jupp (3.1.27-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 08 Sep 2014 11:42:16 +0200

jupp (3.1.27-2) unstable; urgency=low

  * debian/control: Move VCS-* fields to Alioth collab-maint git
  * Remove now-useless RCS IDs

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Jul 2014 16:11:05 +0200

jupp (3.1.27-1) unstable; urgency=medium

  * New upstream release “Bootmenü” (Closes: #748596)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 29 Jun 2014 12:16:42 +0000
