=== debian/control ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $MirOS: contrib/hosted/tg/deb/jupp/debian/control,v 1.34 2013/11/07 23:10:17 tg Exp $
-#
 Source: jupp
 Section: editors
 Priority: optional
@@ -13,9 +11,8 @@
   libselinux1-dev [linux-any],
   libtinfo-dev | libncurses-dev
 Standards-Version: 3.9.5
-# First word is the $CVSROOT (-d arg) string, second word the module.
-Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/jupp
-Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/jupp/
+VCS-git: git://anonscm.debian.org/collab-maint/jupp.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jupp.git
 
 Package: jupp
 Architecture: any
