=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# $MirOS: contrib/hosted/tg/deb/jupp/debian/rules,v 1.25 2012/12/30 22:39:41 tg Exp $
 #-
 # Possible flavourisation (in addition to stock Debian rules):
 # export DEB_BUILD_OPTIONS=diet
