## jupp 3.1.28

=== debian/changelog ===
jupp (3.1.28-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:16 +0000

jupp (3.1.28-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Update list of -O GCC flags to exclude
  * Policy 3.9.6 (no changes)
  * Fix lintian reported problems upstream
  * Update Debian-specific lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 Oct 2014 19:18:54 +0200

jupp (3.1.27-3) unstable; urgency=low

  * QA upload.
  * Orphan the package.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 17:59:49 +0000
