=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: jupp
 Section: editors
 Priority: optional
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: https://www.mirbsd.org/jupp.htm
 # Just drop B-D on autotools-dev or libselinux1-dev if needed,
 # as they are optional and autodetected.
@@ -10,7 +10,7 @@
 # libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
   libselinux1-dev [linux-any],
   libtinfo-dev | libncurses-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 VCS-git: git://anonscm.debian.org/collab-maint/jupp.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jupp.git
