=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 DEB_LDFLAGS_MAINT_APPEND=${EXTRA_LDFLAGS}
 ifneq (${USE_LIBC},system)
 # the diet and klcc wrappers take care of optimisation for us
-DEB_CFLAGS_MAINT_STRIP=-O0 -O1 -O2 -O3 -Os -g -g1 -g2 -g3 -ggdb -gdwarf -gstabs
+DEB_CFLAGS_MAINT_STRIP=-O -O0 -O1 -O2 -O3 -Os -Ofast -Og -g -g1 -g2 -g3 -ggdb -gdwarf -gstabs
 # do not use PIE with strange libcs, either
 DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 else
