## jupp 3.1.30

=== debian/changelog ===
jupp (3.1.30-1) unstable; urgency=medium

  * The “I am a jupp version number, not a date!” upload

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 11 Jan 2017 23:50:42 +0000

jupp (3.1.29-2) unstable; urgency=low

  * Fix native dietlibc compilation: always force Debian’s GNU triplet
  * Exclude -specs=* for non-system libcs as workaround for #845550

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 27 Nov 2016 15:45:28 +0100

jupp (3.1.29-1) unstable; urgency=low

  [ Dominik George ]
  * jupp Enhances nbc (due to ^KF Freedroidz IDE keybinding)

  [ Thorsten Glaser ]
  * New upstream release “today is a good day”
  * Raise versioned intra-package dependency to match

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 30 Oct 2016 04:30:40 +0100

jupp (3.1.29~pre2-1) unstable; urgency=low

  * Retake the package (Closes: #764396)
  * New upstream prerelease
  * Update maintainer script documentation
  * Bump Policy (no change necessary)
  * Fix VCS-* as lintian prompted
  * Apply lintian’s spell fixes
  * Try debhelper compat 9
  * Better paths due to the new sysconfjoesubdir processing

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 08 Oct 2016 21:32:08 +0200
