=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: jupp
 Section: editors
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: https://www.mirbsd.org/jupp.htm
 # Just drop B-D on autotools-dev or libselinux1-dev if needed,
-# as they are optional and autodetected.
-Build-Depends: debhelper (>= 5),
+# as they are optional and autodetected; debhelper 5 is enough.
+Build-Depends: debhelper (>= 9),
   autotools-dev,
 # libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
   libselinux1-dev [linux-any],
   libtinfo-dev | libncurses-dev
-Standards-Version: 3.9.6
-VCS-git: git://anonscm.debian.org/collab-maint/jupp.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jupp.git
+Standards-Version: 3.9.8
+VCS-git: https://anonscm.debian.org/git/collab-maint/jupp.git -b master
+VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/jupp.git/?h=master
 
 Package: jupp
 Architecture: any
@@ -20,6 +20,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: joe (<< 3.7-2.3~)
 Provides: editor
+Enhances: nbc
 Description: user friendly full screen text editor
  Joe, the Joe's Own Editor, has the feel of most PC text editors: the key
  sequences are reminiscent of WordStar and Turbo C editors, but the feature
@@ -55,7 +56,7 @@
 Package: joe-jupp
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, jupp (>= 3.1.25)
+Depends: ${misc:Depends}, jupp (>= 3.1.30)
 Conflicts: joe
 Provides: joe
 Replaces: joe
