=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 endif
 
 DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
@@ -82,6 +83,8 @@
 ifneq (${USE_LIBC},system)
 # the diet and klcc wrappers take care of optimisation for us
 DEB_CFLAGS_MAINT_STRIP=-O -O0 -O1 -O2 -O3 -Os -Ofast -Og -g -g1 -g2 -g3 -ggdb -gdwarf -gstabs
+DEB_CFLAGS_MAINT_STRIP+=-specs=/usr/share/dpkg/no-pie-compile.specs
+DEB_LDFLAGS_MAINT_STRIP+=-specs=/usr/share/dpkg/no-pie-link.specs
 # do not use PIE with strange libcs, either
 DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 else
@@ -109,11 +112,12 @@
 MAKEFLAGS+=		-j${NUMJOBS}
 endif
 
-CONFIGURE_ARGS=		--sysconfdir=/etc \
+CONFIGURE_ARGS=		--build=${DEB_BUILD_GNU_TYPE} \
+			--host=${DEB_HOST_GNU_TYPE} \
 			--prefix=/usr \
+			--sysconfdir=/etc \
 			--mandir=/usr/share/man \
-			--disable-dependency-tracking \
-			--disable-termidx
+			--disable-dependency-tracking
 
 ifneq (${USE_LIBC},system)
 # prevent picking up system libraries linked against the system C library
@@ -123,6 +127,9 @@
 ifneq (,$(findstring nopwnam,${DEB_BUILD_OPTIONS}))
 CONFIGURE_ARGS+=	--disable-getpwnam
 endif
+
+CONFIGURE_ARGS+=	--disable-termidx \
+			--enable-sysconfjoesubdir=/jupp
 
 debian/.configure_stamp:
 	dh_testdir
@@ -135,14 +142,14 @@
 		cp /usr/share/misc/$$x .; \
 	done
 	mkdir builddir
-	cd builddir && env \
+	cd builddir && exec env \
 	    $(foreach i,CC CFLAGS CPPFLAGS LDFLAGS,$(call shellexport,$i)) \
 	    sh ../configure ${CONFIGURE_ARGS}
 	@:>$@
 
 debian/.build_stamp: debian/.configure_stamp
 	dh_testdir
-	cd builddir && ${MAKE} sysconfjoesubdir=/jupp
+	cd builddir && exec ${MAKE}
 	ln -f builddir/joe builddir/jupp
 	ln -f builddir/joe.1 builddir/jupp.1
 	@:>$@
