## jupp 3.1.31

=== debian/changelog ===
jupp (3.1.31-1) unstable; urgency=medium

  * Mention that the WordStar emulation only applies to non-document mode
  * Policy 4.0.1: joe-jupp is no longer Priority extra but optional
  * New upstream release

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 09 Aug 2017 05:53:29 +0200
