=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
   libselinux1-dev [linux-any],
   libtinfo-dev | libncurses-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 VCS-git: https://anonscm.debian.org/git/collab-maint/jupp.git -b master
 VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/jupp.git/?h=master
 
@@ -41,12 +41,12 @@
  .
  Through simple QEdit-style configuration files, Joe can be set up to
  emulate editors such as Pico and Emacs, along with a complete imitation
- of WordStar, and a restricted mode version (lets you edit only the files
- specified on the command line).  Joe also has a deferred screen update to
- handle typeahead, and it ensures that deferral is not bypassed by tty
- buffering.  It's usable even at 2400 baud, and it will work on any
- kind of sane terminal.  Furthermore, it supports SELinux context copying
- on Debian systems with the Linux kernel.
+ of WordStar in non-document mode, and a restricted mode version (lets you
+ edit only the files specified on the command line). Joe also has a deferred
+ screen update to handle typeahead, and it ensures that deferral is not
+ bypassed by tty buffering. It's usable even at 2400 baud, and it will work
+ on any kind of sane terminal. Furthermore, it supports SELinux context
+ copying on Debian systems with the Linux kernel.
  .
  This version of JOE only comes with the Jupp flavour, to not conflict
  with the Debian joe package, activated. The resource files and executable
@@ -54,7 +54,6 @@
  in the joe-jupp package.
 
 Package: joe-jupp
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, jupp (>= 3.1.30)
 Conflicts: joe
