## jupp 3.1.35

=== debian/changelog ===
jupp (3.1.35-2) unstable; urgency=low

  * Pull the latest upstream minor bugfix commit
  * Do not build twice (fix Makefile stampfile usage)
  * Use new lintian override file location in sid

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 16 Feb 2018 18:24:00 +0100

jupp (3.1.35-1) unstable; urgency=low

  * Really brown paperbag, fix a message and a typo

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 14 Feb 2018 23:35:04 +0100

jupp (3.1.34-1) unstable; urgency=high

  * The “almost-brown-paperbag release” sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 14 Feb 2018 23:09:05 +0100

jupp (3.1.33-1) unstable; urgency=high

  * New upstream release
    - urgency=high due to regression fix and some bugfixes
    - bump dependency from joe-jupp to jupp (new features)
  * Grudgingly go to debhelper 11
  * Have both debian/source.lintian-overrides (portable) and
    debian/source/lintian-overrides (for new lintian, symlink)
  * Install jpico as very-low-priority pico alternative
  * Work around lintian issues ☹
  * debhelper 9.20160114 and up already depend on autotools-dev

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 13 Feb 2018 23:15:23 +0100

jupp (3.1.32-2) unstable; urgency=low

  * Policy 4.1.3 (no changes)
  * Update lintian override for using lower (more compatible) debhelper
  * Update VCS-* to new repository caused by Alioth deprecation
  * Use http, not https, for the homepage, to make it accessible
    from Debian buster/sid OpenSSL

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jan 2018 20:13:13 +0100

jupp (3.1.32-1) unstable; urgency=medium

  * Policy 4.1.2, no relevant changes
  * Appease lintian by updating the overrides and using ?= in d/rules
  * Fix klibc build; add musl support
  * Generate Debian control files (like OpenJDK does)
  * New upstream release

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 17 Dec 2017 00:03:03 +0100
