=== debian/control ===
--- 
+++ 
@@ -2,17 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Homepage: https://www.mirbsd.org/jupp.htm
-# Just drop B-D on autotools-dev or libselinux1-dev if needed,
-# as they are optional and autodetected; debhelper 5 is enough.
-Build-Depends: debhelper (>= 9),
-  autotools-dev,
-# libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-  libselinux1-dev [linux-any],
-  libtinfo-dev | libncurses-dev
-Standards-Version: 4.0.1
-VCS-git: https://anonscm.debian.org/git/collab-maint/jupp.git -b master
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/jupp.git/?h=master
+Homepage: http://www.mirbsd.org/jupp.htm
+Build-Depends: debhelper (>= 11), libtinfo-dev | libncurses-dev, libselinux1-dev [linux-any]
+Standards-Version: 4.1.3
+VCS-git: https://evolvis.org/anonscm/git/alioth/jupp.git -b master
+VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jupp.git;a=shortlog;h=refs/heads/master
 
 Package: jupp
 Architecture: any
@@ -55,7 +49,7 @@
 
 Package: joe-jupp
 Architecture: all
-Depends: ${misc:Depends}, jupp (>= 3.1.30)
+Depends: ${misc:Depends}, jupp (>= 3.1.33)
 Conflicts: joe
 Provides: joe
 Replaces: joe
