## jupp 3.1.36

=== debian/changelog ===
jupp (3.1.36-3) unstable; urgency=low

  * Update ncurses B-D using libncurses-dev in buster/sid
  * Bump Policy while here (no applicable changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 04 May 2018 14:27:27 +0200

jupp (3.1.36-2) unstable; urgency=high

  * Fix arch:all-only build

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 22 Mar 2018 14:08:30 +0100

jupp (3.1.36-1) unstable; urgency=medium

  * Fix missing picorc@ -> jpicorc
  * Mark joe-jupp as M-A:foreign as well
  * New upstream bugfix release
  * Provide debian/upstream/metadata as requested by lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 16 Mar 2018 00:51:08 +0100
