=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/jupp.htm
-Build-Depends: debhelper (>= 11), libtinfo-dev | libncurses-dev, libselinux1-dev [linux-any]
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), libncurses-dev, libselinux1-dev [linux-any]
+Standards-Version: 4.1.4
 VCS-git: https://evolvis.org/anonscm/git/alioth/jupp.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jupp.git;a=shortlog;h=refs/heads/master
 
@@ -49,7 +49,8 @@
 
 Package: joe-jupp
 Architecture: all
-Depends: ${misc:Depends}, jupp (>= 3.1.33)
+Multi-Arch: foreign
+Depends: ${misc:Depends}, jupp (>= 3.1.36)
 Conflicts: joe
 Provides: joe
 Replaces: joe
