## jupp 3.1.38

=== debian/changelog ===
jupp (3.1.38-1~bpo9+1) stretch-backports; urgency=low

  * Rebuild for stretch-backports.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 30 Nov 2018 18:13:34 +0100

jupp (3.1.38-1) unstable; urgency=low

  * The “Ellef un esu enne musl” upload
  * Bump versioned joe-jupp to jupp dependency forgotten in last upload
  * New upstream release

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 Nov 2018 20:39:57 +0100

jupp (3.1.37-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update backport: set DEB_BUILD_OPTIONS to stretch.

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 27 Oct 2018 19:16:57 +0200

jupp (3.1.37-1) unstable; urgency=medium

  * Use split Repository in UMEYAGA for CVS repositories
  * Bump Policy to 4.2.1.2
    - terse build option
    - install upstream NEWS as NEWS, not changelog
  * New upstream release
  * Install upstream-provided icons
  * Switch from menu to desktop files for stretch and newer

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 20 Oct 2018 21:58:20 +0200

jupp (3.1.36-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Keep setting DEB_BUILD_OPTIONS in debian/rules accordingly.

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 24 Mar 2018 15:45:23 +0100

jupp (3.1.36-1~bpo9+1) stretch-backports; urgency=medium

  * The “beam Natureshadow up” upload.
  * Rebuild for stretch-backports.
  * Keep setting DEB_BUILD_OPTIONS in debian/rules accordingly.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 21 Mar 2018 20:15:11 +0100

jupp (3.1.35-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Set DEB_BUILD_OPTIONS in debian/rules accordingly;
    regenerate dynamically created control files.

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 19 Feb 2018 15:36:31 +0100
