=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/jupp.htm
-Build-Depends: debhelper (>= 11), libncurses-dev, libselinux1-dev [linux-any]
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), libtinfo-dev | libncurses-dev, libselinux1-dev [linux-any], autotools-dev
+Standards-Version: 4.2.1
 VCS-git: https://evolvis.org/anonscm/git/alioth/jupp.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jupp.git;a=shortlog;h=refs/heads/master
 
@@ -50,7 +50,7 @@
 Package: joe-jupp
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, jupp (>= 3.1.36)
+Depends: ${misc:Depends}, jupp (>= 3.1.37)
 Conflicts: joe
 Provides: joe
 Replaces: joe
