## jupp 3.1.39

=== debian/changelog ===
jupp (3.1.39-1) unstable; urgency=medium

  * Drop “IDE” .desktop category, it creates mismatched menu entries
  * Update maintainer script comments from latest manpages
  * New upstream release
  * Modernise packaging

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 27 Mar 2020 09:55:30 +0100
