=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/jupp.htm
-Build-Depends: debhelper (>= 10), libtinfo-dev | libncurses-dev, libselinux1-dev [linux-any], autotools-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), debhelper (>= 12.9~), libncurses-dev, libselinux1-dev [linux-any]
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/jupp.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jupp.git;a=shortlog;h=refs/heads/master
