## jupp 3.1.40

=== debian/changelog ===
jupp (3.1.40-1) unstable; urgency=medium

  * Add “reconfigure” $1 to postinst, as recommended by debconf-devel(7)
  * Bump to debhelper-compat 13
  * New upstream release (Closes: #968926)
  * Update lintian overrides
  * Tweak package descriptions

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 30 Oct 2020 05:44:24 +0100
