## jupp 3.1.41

=== debian/changelog ===
jupp (3.1.41-2) unstable; urgency=medium

  * Bump Policy; drop -Wl,--as-needed
  * Switch to -std=gnu99 as joe/jupp currently need old/K&R-style
    polymorphism (Closes: #1096881)
  * Update acinclude.m4 and the manpage from CVS HEAD: portability fixes
  * Include latest CVS jupprc
  * Use </usr/share/dpkg/architecture.mk>

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 26 Aug 2025 21:00:20 +0000

jupp (3.1.41-1) unstable; urgency=medium

  * New upstream release
  * Usual updates (©, Policy, toolchain support, lintian, …)
  * IRC network forcibly moved as the old one went OTRB

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 28 Sep 2022 23:42:24 +0200
