=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/jupp.htm
 Build-Depends: debhelper-compat (= 13), libncurses-dev, libselinux1-dev [linux-any]
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/jupp.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jupp.git;a=shortlog;h=refs/heads/master
