=== debian/watch ===
version=4
opts="uversionmangle=s/^([0-9]+)\.([0-9]+)jupp([0-9]+)$/$1.$2.$3/" \
http://www.mirbsd.org/MirOS/dist/jupp/ joe-(.*)\.tgz
